package entity

type AdminPermission string

const (
	AdminAdminRegisterPermission                 = AdminPermission("admin-register")
	AdminKindBoxReqAcceptPermission              = AdminPermission("kindboxreq-accept")
	AdminKindBoxReqAddPermission                 = AdminPermission("kindboxreq-add")
	AdminKindBoxReqRejectPermission              = AdminPermission("kindboxreq-reject")
	AdminKindBoxReqGetAllPermission              = AdminPermission("kindboxreq-getall")
	AdminKindBoxReqDeliverPermission             = AdminPermission("kindboxreq-deliver")
	AdminKindBoxReqAssignSenderAgentPermission   = AdminPermission("kindboxreq-assign_sender_agent")
	AdminAdminGetAllAgentPermission              = AdminPermission("admin-getall_agent")
	AdminKindBoxReqGetAwaitingDeliveryPermission = AdminPermission("kindboxreq-get_awaiting_delivery")
	AdminKindBoxGetPermission                    = AdminPermission("kindbox-get")
	AdminKindBoxAssignReceiverAgentPermission    = AdminPermission("kindbox-assign_receiver_agent")
	AdminKindBoxGetAllPermission                 = AdminPermission("kindbox-getall")
	AdminKindBoxReqUpdatePermission              = AdminPermission("kindboxreq-update")
)
